local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.TheUnshackledGuide(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle('|TInterface\\Icons\\inv_shield_1h_warfrontshorde_c_01:16|t'.."The Unshackled Guide")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)
  
  
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText('|TInterface\\Icons\\inv_shield_1h_warfrontshorde_c_01:32|t '.."|cff00C78CThe Unshackled:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  


  local desc = AceGUI:Create("Label")
  desc:SetText("In order to gain Reputation with this Faction you must have done the Questline for Nazjatar.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("You must then have atleast completed the Quest for World Quest in Nazjatar.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CGaining Reputation:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("- Nazjatar Dailies")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local desc = AceGUI:Create("Label")
  desc:SetText("- Emissaries Chests")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Other Ways is To Farm Nazjatar Rare Spawns Dotted around the zone rewarding you with 50 Rep for Each Slain.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Daily Pet Battles is by Farm The Fastest way However as you are able to blast through this Reputation quite fast if you beat all of them.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("These Reward 250 Rep for each pet Defeated.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  
if (IsAddOnLoaded("TomTom")) then  
  local ShadowlandsWaypoint = AceGUI:Create("Button")
  ShadowlandsWaypoint:SetText("Nazjatar Pet Battles")
  ShadowlandsWaypoint:SetWidth(350)
  scroll:AddChild(ShadowlandsWaypoint)
  ShadowlandsWaypoint:SetCallback("OnClick", function() 

DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 36.87. 27.75 Prince Wiggletail Cave Entrance") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 71.97 51.19 Chomp") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 58.40 48.29 Silence") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 42.33 14.39 Shadowspike Lurker") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 49.46. 50.47 Pearlhusk Crawler Cave Entrance") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 51.29. 74.83 Elderspawn of Nalaada ") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 29.8. 48.53 Ravenous Scalespawn") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 56.22. 11.02 Mindshackle") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 47.17. 27.01 Kelpstone") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 37.97. 16.57 Voltgorger") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 58.08. 26.81 Frenzied Knifefang ") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
DEFAULT_CHAT_FRAME.editBox:SetText("/way Nazjatar 28.47. 28.23 Giant Opaline Conch") ChatEdit_SendText(DEFAULT_CHAT_FRAME.editBox, 0)
  
  end)

		else
		
		  local desc = AceGUI:Create("Label")
		  desc:SetText("|cffff6060Waypoint:".."|cffffffff TomTom Not Installed For Waypoint")
		  desc:SetFullWidth(true)
		  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
		  scroll:AddChild(desc)
  
  
  
end      
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end